/*
 * Copyright (C) 2006 TopCoder Inc., All Rights Reserved.
 */
package com.topcoder.document.index.persistence.impl;

import com.topcoder.document.index.persistence.IndexPersistenceException;


/**
 * This is an exception that signals persistence configuration issues when instantiating or initializing persistence
 * instances.
 *
 * @author AleaActaEst, TCSDEVELOPER
 * @version 1.0
 */
public class PersistenceConfigurationException extends IndexPersistenceException {

    /**
     * Creates an exception instance initialized with the given exception message.
     *
     * @param msg the exception message to be used for the created instance
     */
    public PersistenceConfigurationException(final String msg) {
        super(msg);
    }

    /**
     * Creates the exception instance initialized with the given exception message and the cause exception instance.
     *
     * @param msg   the exception message to be used for the created instance
     * @param cause the cause exception to be used for the created instance
     */
    public PersistenceConfigurationException(final String msg, final Throwable cause) {
        super(msg, cause);
    }
}
