/*
 * Copyright (C) 2006 TopCoder Inc., All Rights Reserved.
 */
package com.topcoder.document.index.persistence.impl.db;

/**
 * This class is for running the CommonDatabaseOperationsTest test cases on the SimpleAccessDBIndexPersistence schema.
 *
 * @author TCSDEVELOPER
 * @version 1.0
 */
public class CommonDatabaseOperationsOnSimpleDBTest extends CommonDatabaseOperationsTest {

    /**
     * This method creates the instance to be used as connection factory and for persisting documents (the only
     * operation not common between the persistence implementations) in the test cases.
     *
     * @return the persistence instance to be used in test cases.
     *
     * @throws Exception in case some unexpected Exception occurs
     */
    protected AbstractDBIndexPersistence getPersistenceInstance() throws Exception {
        return new SimpleAccessDBIndexPersistence(SIMPLE_DB_CONFIGURATION_NAMESPACE);
    }

    /**
     * This method does the test setup needed.
     *
     * @throws Exception in case some unexpected Exception occurs
     */
    protected void setUp() throws Exception {
        clearSimpleDatabase();
        super.setUp();
    }

    /**
     * This method does the cleanup after test run.
     *
     * @throws Exception in case some unexpected Exception occurs
     */
    protected void tearDown() throws Exception {
        super.tearDown();
        clearSimpleDatabase();
    }
}
